#include <stdio.h>
#include <stdlib.h>
#include <string.h>

typedef struct igrac
{
	int idIgraca;
	char imeIgraca[100];
	int brojGolova;
}IGRAC;

typedef struct tim
{
	int idTima;
	char nazivTima[100];
}TIMOVI;

typedef struct ugovor
{
	int idUgovora;
	int idTima;
	int idIgraca;
	char datum1[15];
	char datum2[15];
}UGOVOR;

typedef struct sezona
{
	int idSezone;
	int godina;
}SEZONA;

typedef struct utakmica
{
	int idUtakmice;
	int idSezone;
	int idDomacina;
	int idGosta;
}UTAKMICA;

typedef struct gol
{
	int idGola;
	int idUtakmice;
	int idTima;
	int idIgraca;
}GOL;


int main(int argc, char **argv)
{
	IGRAC igraci[50];
	TIMOVI timovi[50];
	UGOVOR ugovori[50];
	SEZONA mySeason;
	UTAKMICA utakmice[50];
	GOL golovi[50];
	int posao = atoi(argv[1]);
	
	//ucitavanje sezone
	FILE *f = fopen(argv[2],"r");
	int i=0;
	while(1)
	{
		fscanf(f,"%d,%d", &mySeason.idSezone, mySeason.godina);
		if(i == posao) break;
	}
	fclose(f);
	
	//ucitavanje ugovora
	f = fopen("ugovori.csv","r");
	int brojUgovora = 0;
	while(1)
	{
		int id, t, ig;
		char d1[15], d2[15];
		if(fscanf(f,"%d,%d,%d,%s,%s",&id,&t,&ig,d1,d2)!= 5) break;
		
		char godina1[6];
		strtok(d1, '.');
		godina1 = strtok(NULL, '.');
		godina1[4] = '\0';
		
		char godina2[6];
		strtok(d2, '.');
		godina2 = strtok(NULL, '.');
		godina2[4] = '\0';
		
		if(atoi(godina1)<=mySeason.godina || atoi(godina2)>=mySeason.godina)
		{
			
			UGOVOR u;
			u.idUgovora = id;
			u.idTima = t;
			u.idIgraca = ig;
			u.datum1 = d1;
			u.datum2 = d2;
			
			ugovori[brojUgovora++] = u;
		}
	}
	fclose(f);
	
	//ucitavanje timova ako imajuugovor u sezoni
	f = fopen("timovi.csv","r");
	int brojTimova = 0;
	while(1)
	{
		int id;
		char naziv[100];
		
		if(fscanf(f,"%d,%s", &id, naziv) != 2 ) break;
		
		for(i=0; i<brojUgovora; i++)
		{
			if(ugovori[i].idTima == id)
			{
				TIMOVI t;
				t.idTima = id;
				t.nazivTima = naziv;
				timovi[brojTimova++] = t;
			}
		}
	}
	fclose(f);
	
	//ucitavanje igraca
	f = fopen("igraci.csv","r");
	int brojIgraca = 0;
	while(1)
	{
		int id;
		char ime[100];
		
		if(fscanf(f,"%d,%s", &id, ime) != 2 ) break;
		
		for(i=0; i<brojUgovora; i++)
		{
			if(ugovori[i].idIgraca == id)
			{
				IGRAC ig;
				ig.idIgraca = id;
				ig.imeIgraca = ime;
				ig.brojGolova = 0;
				igraci[brojIgraca++] = ig;
			}
		}
	}
	fclose(f);
	
	//ucitavanje utakmica 
	f = fopen("utakmice.csv","r");
	int brojUtakmica = 0;
	while(1)
	{
		int id, idSez, idDom, idGost;
		
		if(fscanf(f,"%d,%d,d%,%d", &id, &idSez, &idDom, &idGost) != 4 ) break;
		
		if(idSez == mySeason.idSezone)
		{
			UTAKMICA ut;
			ut.idUtakmice = id;
			ut.idSezone = idSez;
			ut.idDomacina = idDom;
			ut.idGosta = idGost;
			utakmice[brojUtakmica++] = ut;
		}
	}
	fclose(f);
	
	//ucitavanje golova
	f = fopen("golovi.csv","r");
	int brojGolova = 0;
	while(1)
	{
		int id, idUt, idTim, idIgrac;
		
		if(fscanf(f,"%d,%d,%d,%d", &id, &idUt, &idTim, &idIgrac) != 4 ) break;
		
		for(i=0; i<brojUtakmica; i++)
		{
			if(utakmice[i].idUtakmice == id)
			{
				GOL g;
				g.idGola = id;
				g.idUtakmice = idUt;
				g.idTima = idTim;
				g.idIgraca = idIgrac;
				golovi[brojGolova++] = g;
			}
		}
	}
	fclose(f);
	
	for(i=0; i<brojGolova;i++)
	{
		int j;
		for(j=0; j<brojIgraca; j++)
		{
			if(golovi[i].idIgraca == igraci[j].idIgraca)
			{
				igraci[j].brojGolova++;
				break;
			}
		}
	}
	int j;
	for(j=0; j<brojIgraca; j++)
		if(igraci[j].brojGolova == 0) printf("%d, %s\n", igraci[j].
}
