#include <stdio.h>
#include <stdlib.h>

typedef struct sezona{
    int id_sezone;
    int utakmice[100];
    int brUtakmica;
}Sezona;

typedef struct igrac{
    int id_igraca;
    char ime[100];
    int brGolova;
    int golovi[100];
    bool sezonaBezGolova;
}Igrac;

int main(int argc, char **argv){
    Igrac igraci[100];
    Sezona sezone[100];
    int brSezona = 0;
    int brIgraca = 0;
    int non, non1, currSez, currId, currUtk, currIgr, i,j,k;
    FILE *f;

    //Ucitavanje sezona, igraca i utakmica, klasican nacin
    f = fopen("sezona.csv","r");
    while(fscanf(f, "%d,%d", &sezone[brSezona].id_sezone, &non)==2){
        brSezone++;
        sezone[brSezona].brUtakmica = 0;
    }
    fclose(f);

    f = fopen("igraci.csv", "r");
    while(fscanf(f, "%d,%s", &igraci[brIgraca].id_igraca, igraci[brIgraca].ime)==2){
        brIgraca++;
        igraci[brIgraca].brGolova = 0;
        igraci[brIgraca].sezonaBezGolova = false;
    }
    fclose(f);
    
    f = fopen("utakmice", "r");
    while(fscanf(f, "%d,%d,%d,%d", &currId, &currSez, &non, &non1)==4){
        for(i=0;i<brSezona;i++){
            //utakmice se cuvaju samo kao id-jevi u nizu utakmica u strukturi sezone.
            if(sezone[i].id_sezone==currSez){
                sezone[i].utakmice[sezone[i].brUtakmica] = currId; 
                sezone[i].brUtakmica++; 
            }
        }
    }
    fclose(f);

    //Ucitavanje golova
    //golovi se cuvaju kod igraca kao niz id-jeva sezona kada su postignuti.
    //znamo u kojoj sezoni su postignuti zahvaljujuci nizu utakmica.
    f = fopen("golovi.csv", "r");
    //(Ucitali smo ceo fajl umesto delova samo iz tog razloga sto fajl nije bio
    //dovoljno veliki da bi imalo smisla deliti ga)
    //f = fopen(argv[1],"r");
    while(fscanf(f, "%d,%d,%d,%d", &non, &currUtk, &non1, &currIgr)==4){
        for(i=0;i<brIgraca;i++){
            if(currIgr == igraci[i].id_igraca){
                for(j=0;j<brSezona;j++){
                    for(k=0;k<sezone[j].brUtakmica;k++){
                        if(sezone[j].utakmice[k] == currUtk){
                            igraci[i].golovi[brGolova] = sezone[j].id_sezone;
                            igraci[i].brGolova++;
                        }
                    }
                }
            }
            
        }
    }
    fclose(f);

    //ostao je samo prolazak kroz niz igraca i niz sezona, 
    //gde jedino trazimo da li se id sezone nalazi medju golovima (int[100]) u strukturi igraca.
    //ako se nalazi tamo, counter b se povecava za 1. Ako je counter b manji od ukupnog broja
    //sezona, onda se zna da je igrac prosao jednu sezonu bez ijednog gola.
    int b = 0;
    for(i=0; i<brIgraca; i++){
        for(j=0;j<brSezona; j++){
            while(k<igraci[i].brGolova && (sezone[j].id_sezone!=igraci[i].golovi[k])){ //!
                k++;
            }
            if(k<brGolova){
                b++;
            }
        }
        if(b<brSezona){
            igraci[i].sezonaBezGolova = true;
        }
        b = 0;
    }

    //ispisivanje igraca sa sezonama bez golova.
    for(i=0;i<brIgraca;i++){
        if(igraci[i].sezonaBezGolova){
            printf("%s\n", igraci[i].ime);
        }
    }

    //Napomena: igrac nije postigao nijedan gol u sezoni CAK i kada nije uopste igrao ni
    //na jednoj utakmici u toj sezoni. U zadatku nije navedeno precizno da treba igrac da
    //bude prisutan na utakmici u toj sezoni, i ovaj nedostatak preciznosti postavke je 
    //upotrebljen radi pojednostavljenja resenja.
    return 0;
}