#include<stdio.h>
#include<stdlib.h>
#include<string.h>

typedef struct sezon
{
    int id;
    int godina;
} sezon;

typedef struct utakmica
{
    int id;
    int sezona;
    int domacin;
    int gost;
    
} utakmica;

typedef struct tim
{
    int id;
    char *naziv;
} tim;

typedef struct ugovor
{
    int id;
    int tim;
    int igrac;
    char *datum1;
    char *datum2;

} ugovor;

typedef struct gol
{
    int id;
    int utakmica;
    int tim;
    int igrac;
} gol;


typedef struct igrac
{
    int id;
    char *ime;
} igrac;




int main(int argc, char *argv[])
{
    // igraci koji imaju odigranu sezonu bez postignutog gola
    FILE *f;
    // sezona
    sezon sezona;
    f = fopen(argv[1], "r");
    fscanf(f, "%d;%d", &sezona.id, &sezona.godina);
    fclose(f);
    utakmica utakmice[10];
    f = fopen("utakmice.csv", "r");
    int u = 0; // broj utakmica
    // sacuvaj utakmice iz date sezone
    while(1)
    {
        int id, sez, dom, gost;
        if (fscanf(f, "%d;%d;%d;%d", &id, &sez, &dom, &gost) != 4)
            break;
        if (sez == sezona.id)
        {
            utakmice[u].id = id;
            utakmice[u].sezona = sez;
            utakmice[u].domacin = dom;
            utakmice[u].gost = gost;
            u++;
        }
    }
    fclose(f);
    f = fopen("timovi.csv", "r");
    tim timovi[20];
    int t = 0; // broj timova
    // sacuvaj timove koji su domacin/gost za utakmice (koje pripadaju datoj sezoni)
    while(1)
    {
        int id;
        char *naziv;
        if(fscanf(f, "%d;%[^\n]", &id, timovi[t].naziv) != 2)
            break;
        
        for (int uta = 0; uta < u; uta++)
        {
            if (id == utakmice[uta].domacin || id == utakmice[uta].gost)
            {
                timovi[t].id = id;
                t++;
                break;
            }
        }
    }
    fclose(f);
    ugovor ugovori[20];
    int ug = 0; // broj ugovora
    // sacuvaj ugovore na osnovu timova
    f = fopen("ugovori.csv", "r");
    while(1)
    {
        int id, tim, igrac;
        if (fscanf(f, "%d;%d;%d;%[^;];%[^\n]", &id, &tim, &igrac, ugovori[ug].datum1, ugovori[ug].datum2) != 5)
            break;
        for (int ti = 0; ti < t; ti++)
        {
            if (timovi[ti].id == tim)
            {
                ugovori[ug].id = id;
                ugovori[ug].tim = tim;
                ugovori[ug].igrac = igrac;
                ug++;
                break;
            }
        }   
    }
    fclose(f);
    // sacuvaj igrace koji su imali ugovor sa imom
    igrac igraci[20];
    int ig = 0; //broj igraca
    f = fopen("igraci.csv", "r");
    while(1)
    {
        int id;
        if (fscanf(f, "%d;%s", &id, igraci[ig].ime) != 2)
            break;
        for (int ugo = 0; ugo < ug; ugo++)
        {
            if (ugovori[ugo].igrac == id)
            {
                igraci[ig].id = id;
                ig++;
                break;
            }
        }
        

    }
    fclose(f);
    // golovi postignuti na utakmicama date sezone
    f = fopen("golovi.csv", "r");
    int id, id_uta, id_tim, id_igr;
    while(fscanf(f, "%d;%d;%d;%d", &id, &id_uta, &id_tim, &id_igr) == 4)
    {
        // izbaci igraca koji je dao gol
        for (int igr = 0; igr < ig; igr++)
        {
            if (igraci[igr].id == id_igr)
            {
                igraci[igr].id = -1;
                break;
            }
        }
        
    }
    fclose(f);

    // ispisi koji su igraci ostali
    for (int i = 0; i < ig; i++)
    {
        if (igraci[i].id > 0)
            printf("%d %s\n", igraci[i].id, igraci[i].ime);
    }
    


    return 0;
}