#include <stdio.h>
#include <stdlib.h>
#define BROJINSTANCI 50

typedef struct _igrac {
    int id;
    char ime[50];
    char prezime[50];
} igrac;

typedef struct _tim {
    int id;
    char naziv[50];
} tim;

typedef struct _sezona {
    int id;
    int godina;
} sezona;

typedef struct _utakmica {
    int id;
    int sezona;
    tim domacin;
    tim gost;
} utakmica;

typedef struct _golovi {
    int id;
    utakmica utakmica;
    tim tim;
    igrac igrac;
} golovi;

typedef struct _ugovor
{
    int id;
    tim tim;
    igrac igrac;
    int datum1;
    int datum2;
} ugovor;

typedef struct _svi_igraci {
    igrac igrac;
    int godina;
    int pogodaka;
} svi_igraci;

igrac* dajIgraca(igrac igraci[],int broj_igraca,int id) {
    int i = 0;
    for (i = 0; i < broj_igraca; i++) {
        if (igraci[i].id == id) return &igraci[i];
    }
    return NULL;
}

int dajSezonu(sezona sezone[],int broj_sezona,int id) {
    int i = 0;
    for (i = 0; i < broj_sezona; i++) {
        if (sezone[i].id == id) return sezone[i].godina;
    }
    return 0;
}

tim* dajTim(tim timovi[], int broj_timova, int id) {
    int i = 0;
    for (i = 0; i < broj_timova; i++) {
        if (timovi[i].id == id) return &timovi[i];
    }
    return NULL;
}

utakmica* dajUtakmicu(utakmica utakmice[],int broj_utakmica, int id) {
    int i = 0;
    for (i = 0; i < broj_utakmica; i++) {
        if (utakmice[i].id == id) return &utakmice[i];
    }
    return NULL;
}

svi_igraci* dajMogucnost(svi_igraci mogucnosti[], int br_mogucnosti,int id,int godina) {
    int i = 0;
    for (i = 0; i < broj_utakmica; i++) {
        if (mogucnosti[i].igrac.id == id && mogucnosti[i].godina == godina) return &mogucnosti[i];
    }
    return NULL;
}

int main(int argc, char** argv) {

    igrac igraci[BROJINSTANCI];
    int br_igraca = 0;
    FILE* file_igraci = fopen(argv[1], "r");
    while(fscanf(file_igraci, "%d;%s %[^\n]", &igraci[br_igraca].id, igraci[br_igraca].ime, igraci[br_igraca].prezime) == 3) br_igraca++;
    fclose(file_igraci);

    tim timovi[BROJINSTANCI];
    int br_timova = 0;
    FILE* file_timovi = fopen("timovi.csv", "r");
    while(fscanf(file_timovi, "%d;%[^\n]", &timovi[br_timova].id, timovi[br_timova].naziv) == 2) br_timova++;
    fclose(file_timovi);

    sezona sezone[BROJINSTANCI];
    int br_sezona = 0;
    FILE* file_sezone = fopen("sezona.csv", "r");
    while(fscanf(file_sezone, "%d;%d", &sezone[br_sezona].id, &sezone[br_sezona].godina) == 2) br_sezona++;
    fclose(file_sezone);

    utakmica utakmice[BROJINSTANCI];
    int br_utakmica = 0;
    FILE* file_utakmice = fopen("utakmice.csv", "r");
    int godina, domacin, gost;
    while(fscanf(file_sezone, "%d;%d;%d;%d", &utakmice[br_utakmica].id, &godina, &domacin, &gost) == 4) {
        utakmice[br_utakmica].sezona = dajSezonu(sezone, br_sezona, godina);
        utakmice[br_utakmica].domacin = *dajTim(timovi, br_timova, domacin);
        utakmice[br_utakmica].gost = *dajTim(timovi, br_timova, gost);

        br_utakmica++;
    } 
    fclose(file_utakmice);

    golovi golovi[BROJINSTANCI];
    int br_golova = 0;
    FILE* file_golovi = fopen("golovi.csv", "r");
    int id_utakmice, id_tima, id_igraca;
    while(fscanf(file_sezone, "%d;%d;%d;%d", &golovi[br_golova].id, &id_utakmice, &id_tima, &id_igraca) == 4) {
        golovi[br_golova].utakmica = dajUtakmicu(utakmice, br_utakmica, id_utakmice);
        golovi[br_golova].tim = *dajTim(timovi, br_timova, id_tima);
        golovi[br_golova].igrac = *dajIgraca(igraci, br_igraca, id_igraca);

        br_golova++;
    } 
    fclose(file_golovi);

    ugovor ugovori[BROJINSTANCI];
    int br_ugovora = 0;
    FILE* file_ugovori = fopen("ugovori.csv", "r");
    int id_tima,id_igraca,x,y,n,m;
    while (fscanf(file_ugovori,"%d;%d;%d;%d.%d.%d;%d.%d.%d", &ugovori[br_ugovora].id, &id_tima, &id_igraca,&x,&y,&ugovori[br_ugovora].datum1,&n,&m,&ugovori[br_ugovora].datum2)) {
        ugovori[br_ugovora].tim = *dajTim(timovi, br_timova, id_tima);
        ugovori[br_ugovora].igrac = *dajIgraca(igraci, br_igraca, id_igraca);
    }
    fclose(file_ugovori);

    svi_igraci sve_mogucnosti[br_sezona*br_igraca];
    int i,x,y=0;
    for(i = 0; i < br_sezona; i++){
        for(x=0;x<br_igraca;x++) {
            sve_mogucnosti[y].igrac = igraci[x];
            sve_mogucnosti[y].godina = sezone[i].godina;
            sve_mogucnosti[y].pogodaka = 0;
            y++;
        }
    }

    for(i=0;i<br_golova;i++){
        //daj mogunost
        // proveri ugovor
    }

    for(i=0;i<br_sezona*br_igraca;i++) {
        printf("%d %s %s");
    }
}