#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <string.h>

typedef struct igrac {
    int id;
    char name[20];
}Igrac;

typedef struct tim {
    int id;
    char name[20];
}Tim;

typedef struct ugovor {
    int id;
    int idTim;
    int idIgrac;
    int date1;
    int date2;
}Ugovor;

typedef struct sezona {
    int id;
    int godina;
    
    int brojGolova; // prosiren model
}Sezona;

typedef struct utakmica {
    int id;
    int idSezona;
    int idTimDomacin;
    int idTimGost;
}Utakmica;

typedef struct gol {
    int id;
    int idUtakmica;
    int idTim;
    int idIgrac;
}Gol;

int proveriSezonu(int godina, int datum1, int datum2) {
    if(datum1 >= godina && godina <= datum2) 
        return 1;

    return 0;
}

int main(int argc, char *argv[]) {
    int i, j;


    // Nadji igraca kojeg paralelizujemo
    int id = atoi(argv[1]) + 1;
    Igrac igrac;
    igrac.id = id;
    // na kraju uzimamo ime ako vidimo da nam treba za resenje

    // Nadji ugovore tog igraca
    Ugovor ugovori[10];
    int brojUgovora = 0;
    File *file;
    file = fopen("ugovori.csv", "r");
    int idUgovora, idTima, idIgraca, dan1, mesec1, godina1, dan2, mesec2, godina2;
    char datum1[20], datum2[20];
    while(1) {
        if (fscanf(file, "%d;%d;%d;%d.%d.%d;%d.%d.%d", &idUgovora, &idTima, &idIgraca, &dan1, &mesec1, &godina1, &dan2, &mesec2, &godina2) != 9) 
            break;

        if (idIgraca != igrac.id) 
            continue;

        ugovori[brojUgovora].id = idUgovora;
        ugovori[brojUgovora].idTim = idUgovora;
        ugovori[brojUgovora].idIgrac = idUgovora;
        ugovori[brojUgovora].date1 = godina1;
        ugovori[brojUgovora].date2 = godina2;
        brojUgovora++;
    }
    fclose(file);

    // Ako igrac nema ugovor zavrsi program
    if (brojUgovora == 0) return 0;

    // Igrac ima ugovor nastavi dalje
    // Uzmi sve sezone gde je igrac ucestvovao
    Sezona sezone[10];
    int brojSezona = 0;
    file = fopen("sezona.csv", "r");
    int idSezone, godina;
    while(1) {
        if(fscanf(file, "%d;%d", &idSezone, &godina) != 2)
            break;
        
        int igraoUSezoni = 0;
        for(i = 0; i < brojUgovora; i++)
            igraoUSezoni += proveriSezonu(godina, ugovori[i].date1, ugovori[i].date2);

        if (igraoUSezoni == 0) continue;

        sezone[brojSezona].id = idSezone;
        sezone[brojSezona].godina = godina;
        sezone[brojSezona].brojGolova = 0;
        brojSezona++;
    }
    fclose(file);

    // Ako igrac nije igrao u sezoni zavrsi program
    if (brojSezona == 0) return 0;

    // Uzmi sve golove
    Gol golovi[100];
    int brojGolova = 0;
    int idGola, idUtakmice;
    file = fopen("golovi.csv", "r");
    while(1) {
        if(fscanf(file, "%d;%d;%d;%d", &idGola, &idUtakmice, &idTima, &idIgraca) != 4)
            break;
        golovi[brojGolova].id = idGola;
        golovi[brojGolova].idUtakmica = idUtakmice;
        golovi[brojGolova].idTim = idTima;
        golovi[brojGolova].idIgrac = idIgraca;
        brojGolova++;
    }
    fclose(file);

    Utakmica utakmice[10];
    int idTim1, idTim2;
    file = fopen("utakmice.csv", "r");
    while(1) {
        if(fscanf(file, "%d;%d;%d;%d", &idUtakmice, &idSezone, &idTim1, &idTim2) != 4)
            break;
        
        // TODO: proveri golove po utakmici i igracu
    }
    fclose(file);
    
    // Provera golova
    int daLiImaSezonuBezGola = 0;
    for(i = 0; i < brojSezona; i++) {
        if(sezone[i].brojGolova == 0) daLiImaSezonuBezGola = 1;
    }

    // Nema sezonu bez golova, zavrsi program
    if(daLiImaSezonuBezGola == 0) return 0;

    // Ima sezonu bez golova
    int finalanIdIgraca;
    char imeIgraca[20];
    while(1) {
        if(fscanf(f, "%d;%[^\n]s", &finalanIdIgraca, imeIgraca) != 2)
            break;
        
        if(finalanIdIgraca != igrac.id) continue;

        printf("%d, %s\n", igrac.id, imeIgraca);
    }

    return 0;
}