#include <stdio.h>
#include <stdlib.h>

typedef struct _sezona{
    int id;
    int godina;
} sezona;

typedef struct _utakmica{
    int id;
    int id_sezone;
    int id_domacina;
    int id_gosta;
} utakmica;

typedef struct _gol{
    int id;
    int id_utakmice;
    int id_tima;
    int id_igraca;
} gol;

typedef struct _igrac {
    int id;
    char ime[50];

    int imao_ugovor_ove_sezone;
    int dao_gol_ove_sezone;
} igrac;

typedef struct _ugovor {
    int id;
    int id_tima;
    int id_igraca;
    int godina_od;
    int godina_do;
} ugovor;

int main(int argc, char** argv){

    FILE* f;

    sezona this_sezona;     //svaki job radi za po jednu sezonu
    utakmica utakmice[100]; //utakmice ove sezone
    gol golovi[100];        //golovi ove sezone

    igrac igraci[100];      //svi igraci
    ugovor ugovori[100];    //ugovori koji su trajali ove sezone

    // f = fopen(argv[0], "r");
    f = fopen("0.csv", "r");
    fscanf(f,"%d;%d", &this_sezona.id, &this_sezona.godina);
    fclose(f);

    f = fopen("utakmice.csv", "r");

    int id,id_sezone,id_domacina,id_gosta;
    int broj_utakmica = 0;

    while(fscanf(f, "%d;%d;%d;%d", &id,&id_sezone,&id_domacina,&id_gosta) == 4){
        if(id_sezone == this_sezona.id){
            utakmice[broj_utakmica].id = id;
            utakmice[broj_utakmica].id_sezone = id_sezone;
            utakmice[broj_utakmica].id_domacina = id_domacina;
            utakmice[broj_utakmica++].id_gosta = id_gosta;
        }
    }

    fclose(f);

    f = fopen("golovi.csv", "r");

    int id_utakmice,id_tima,id_igraca;
    int broj_golova = 0;

    while(fscanf(f,"%d;%d;%d;%d",&id,&id_utakmice,&id_tima,&id_igraca) == 4){
        
        for (int i=0;i<broj_utakmica;i++){
            if (utakmice[i].id == id_utakmice){
                
                golovi[broj_golova].id = id;
                golovi[broj_golova].id_utakmice = id_utakmice;
                golovi[broj_golova].id_tima = id_tima;
                golovi[broj_golova++].id_igraca = id;

                break;
            }
        }
    }

    fclose(f);

    f = fopen("igraci.csv", "r");

    int broj_igraca = 0;
    char c;

    while(fscanf(f,"%d;%[^\n]", &igraci[broj_igraca].id, igraci[broj_igraca].ime) == 2){
        igraci[broj_igraca].dao_gol_ove_sezone = 0;
        igraci[broj_igraca].imao_ugovor_ove_sezone = 0;

        broj_igraca++;
        fgetc(f);
    }

    fclose(f);

    f = fopen("ugovori.csv", "r");

    int godina_od,godina_do,token;
    int broj_ugovora = 0;
    
    while(fscanf(f,"%d;%d;%d;%d.%d.%d;%d.%d.%d", &id,&id_tima,&id_igraca,&token,&token,&godina_od,&token,&token,&godina_do) == 9){
        if(this_sezona.godina >= godina_od && this_sezona.godina <= godina_do){
            ugovori[broj_ugovora].id = id;
            ugovori[broj_ugovora].id_tima = id_tima;
            ugovori[broj_ugovora].id_igraca = id_igraca;
            ugovori[broj_ugovora].godina_od = godina_od;
            ugovori[broj_ugovora++].godina_do = godina_do;
        }
    }

    fclose(f);

    for (int i=0;i<broj_igraca;i++){
        for (int j=0;j<broj_ugovora;j++){
            if (igraci[i].id == ugovori[j].id_igraca){
                igraci[i].imao_ugovor_ove_sezone = 1;
                break;
            }
        }

        if(igraci[i].imao_ugovor_ove_sezone) {
            for (int j=0;j<broj_golova;j++){
                if (golovi[j].id_igraca == igraci[i].id){
                    igraci[i].dao_gol_ove_sezone = 1;
                    break;
                }
            }
        }
    }

    for (int i=0;i<broj_igraca;i++){
        if (!igraci[i].dao_gol_ove_sezone){
            // za koju sezonu igrac nije postigao gol
            printf("%d %s\n", this_sezona.godina, igraci[i].ime);
        }
    }

    return 0;
}